List trigger credentials
curl --request GET \
--url https://api.deck.co/v2/triggers/{trigger_id}/credentials \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.deck.co/v2/triggers/{trigger_id}/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.deck.co/v2/triggers/{trigger_id}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"object": "<string>",
"status": "<string>",
"external_id": "<string>",
"source_id": "<string>",
"auth_method": "<string>",
"auth_credentials": {
"username": "<string>",
"source_fields": {},
"tokenized": [
"<string>"
]
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>",
"request_id": "<string>"
}{
"errors": {},
"type": "<string>",
"title": "<string>",
"status": 123,
"traceId": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}Triggers
List trigger credentials
Returns the credentials currently in scope for this trigger: the explicit credential_ids, or the current matches of credential_filter. This is the set that will get runs on the next fire. Each entry is a standard credential object.
GET
/
triggers
/
{trigger_id}
/
credentials
List trigger credentials
Authorizations
Secret key (sk_live_...)
Path Parameters
Unique identifier for the trigger (prefixed with trg_).
Query Parameters
Maximum number of items to return (1-100, default 20)
Cursor from a previous response for pagination.
Response
OK
Array of resource objects for the current page.
Show child attributes
Show child attributes
true if there are more results beyond this page.
Opaque cursor string to pass as the cursor query parameter on the next request. null when there are no more pages.
Unique identifier for the API request.
Was this page helpful?
⌘I